%define version 2.2.9
%define release %mkrel 2

%define pkgname libsigc++

%define api_version 2.0
%define major 0
%define libname %mklibname sigc++ %api_version %major
%define libnamedev %mklibname -d sigc++ %api_version

Name:		%{pkgname}%{api_version}
Summary:	The Typesafe Signal Framework for C++
Version:	%{version}
Release:	%{release}
License:	LGPL
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
URL:		http://libsigc.sourceforge.net/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libname}
Summary:	The Typesafe Signal Framework for C++
Group:		System/Libraries
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description -n %{libname}
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libnamedev}
Summary:	Development tools for the Typesafe Signal Framework for C++ 
Group:		Development/C++
Provides:	libsigc++1.2-examples
Obsoletes:	libsigc++1.2-examples
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	sigc++%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d sigc++ %api_version %major

%description -n %{libnamedev}
This package contains the headers and static libraries of %{pkgname},
which are needed when developing or compiling applications which use
%{pkgname}.

%package doc
Summary:	Documentation for %{pkgname} library
Group:		Books/Other

%description doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build

%configure2_5x
%make

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING NEWS README
%{_libdir}/libsigc-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc AUTHORS ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_libdir}/sigc++-%{api_version}

%files doc
%defattr(-, root, root)
%doc %{_docdir}/libsigc++-%{api_version}
%_datadir/devhelp/books/libsigc++-%{api_version}



%changelog
* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-2mdv2011.0
+ Revision: 662412
- mass rebuild

* Tue Mar 08 2011 Götz Waschk <waschk@mandriva.org> 2.2.9-1
+ Revision: 642882
- new version

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2011.0
+ Revision: 550779
- update to new version 2.2.8

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdv2010.1
+ Revision: 542098
- update to new version 2.2.7

* Fri Apr 16 2010 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 535363
- update to new version 2.2.6

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdv2010.1
+ Revision: 528767
- update to new version 2.2.5

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 2.2.4.2-1mdv2010.1
+ Revision: 425498
- update to new version 2.2.4.2

* Fri Aug 28 2009 Götz Waschk <waschk@mandriva.org> 2.2.4.1-1mdv2010.0
+ Revision: 421932
- update to new version 2.2.4.1

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2010.0
+ Revision: 421181
- update file list
- new version
- remove static lib

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2009.1
+ Revision: 294124
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.2.2-2mdv2009.0
+ Revision: 223001
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 183465
- new version

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 176393
- new version

* Fri Feb 22 2008 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 173930
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-2mdv2008.0
+ Revision: 63637
- fix obsoleting the old devel package

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 63297
- new version
- new devel name


* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 2.0.17-1mdv2007.0
+ Revision: 100969
- Import libsigc++2.0

* Thu Dec 21 2006 Gtz Waschk <waschk@mandriva.org> 2.0.17-1mdv2007.1
- add check section

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 2.0.17-1mdk
- New release 2.0.17
- use mkrel

* Tue Aug 02 2005 Gtz Waschk <waschk@mandriva.org> 2.0.16-1mdk
- New release 2.0.16

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 2.0.15-1mdk
- reenable libtoolize
- New release 2.0.15

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 2.0.14-1mdk
- New release 2.0.14

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 2.0.13-1mdk
- New release 2.0.13

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 2.0.12-1mdk
- fix provides
- New release 2.0.12

* Fri Apr 01 2005 Götz Waschk <waschk@linux-mandrake.com> 2.0.11-1mdk
- New release 2.0.11

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 2.0.10-1mdk
- New release 2.0.10

* Thu Feb 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.0.9-1mdk
- New release 2.0.9

* Tue Feb 01 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.0.8-1mdk
- New release 2.0.8

* Wed Jan 26 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.0.7-1mdk
- New release 2.0.7

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.6-1mdk
- fix source URL
- New release 2.0.6

* Sun Jun 06 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3

* Wed May 05 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-1mdk
- New version
- Split doc as subpackage

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- New major release
- Add lib64* Provides

